Bug 839422 - Test case failure: Change Editor options - ctrl enter wont save if enter to save is checked
Test case failure: Change Editor options - ctrl enter wont save if enter to s...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Linux
unspecified Severity unspecified
: ---
: 1.7
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 19:34 EDT by Patrick Huang
Modified: 2012-09-12 20:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7-SNAPSHOT (20120716-0026)
Doc Type: Bug Fix
Doc Text:
Cause: Ctrl+Enter key shortcut to move to next row was disabled when 'Enter key saves immediately' was active. Consequence: Ctrl+Enter would do nothing when 'Enter key saves immediately' was active. Fix: Change Ctrl+Enter key shortcut to be enabled at all times. Result: Pressing Ctrl+Enter will always save and move to next row.
Story Points: ---
Clone Of:
Environment:
http://zanata-master-internal.lab.eng.bne.redhat.com:8080/
Last Closed: 2012-09-11 01:11:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-07-11 19:34:57 EDT
Filed from caserun https://tcms.engineering.redhat.com/run/42345/#caserun_1294243

Version-Release number of selected component (if applicable):
zanata-1.5.0-alpha

Steps to Reproduce: 

  * Login Zanata using admin account.
  * Check "'Enter' key saves immediately"
  * Enter some text in editor
  * Press ctrl enter



Actual results: 
Nothing happen.

Expected results:
Ctrl enter should always save and move to next row.
Comment 1 David Mason 2012-07-11 20:04:35 EDT
Changed Ctrl+Enter to save approved and move to next row regardless of "Enter key saves immediately" configuration setting.

See https://github.com/zanata/zanata/commit/a2b6ed9e6f6011c86b0c51bf7bdc2791f492a998
Comment 2 Ding-Yi Chen 2012-07-16 21:54:07 EDT
VERIFIED with Zanata version 1.7-SNAPSHOT (20120716-0026)

Note You need to log in before you can comment on or make changes to this bug.